Issue 46352

Summary: enhancement of subtotal
Product: Calc Reporter: scoas <scoas>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 2.0 Beta   
Target Milestone: ---   
Hardware: All   
OS: Windows XP   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description scoas 2005-03-31 04:48:04 UTC
Dear All

please add function that 'Replace current subtotals' in [data]-[subtotal]menu

Replace current subtotals:
when you execute [subtotal]menu, selected area is replaced result of subtotal
(if you check the option 'Replace current subtotals')

please check this function(option)

thanks~
Comment 1 frank 2005-03-31 07:43:32 UTC
requirements
Comment 2 ace_dent 2008-05-16 00:51:41 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 3 gtimur 2008-05-16 18:11:23 UTC
I voted for this, and I think it should be enhanced. There should be 'Replace
current subtotals' and 'Remove subtotals' commands. Subtotals should be directly
after the items, and then an empty row, not before. All this in 2.4. 
Comment 4 gtimur 2008-05-20 08:47:59 UTC
I checked OO 3 beta, and there are no changes for this. These issues should be done:
1. "Pre-sort" should be disabled by default, because it conflicts with headings
for sum groups or with sub item numbering with "-"
2. Subtotals should be directly after the items, and then an empty row, because
an empty row is now before subtotal and then the next sum, provided that we left
an empty row between sum groups
3. There should be "header row" option, although it works without it if properly
marked
3. There should be 'Replace current subtotals' and 'Remove subtotals' commands
(now, you have to select all and sort by none while turn off Pre-sort) 
Comment 5 raiten 2010-04-03 11:11:33 UTC
Extra useful enhancement:
* keep previous settings when displaying subtotal window, if subtotal query exists
* for column "which data to apply", option to (un)check all